abstract class BalanceService {
  Future<double> getBalance();
  Future<String> getWalletName();
  Future<String> getWalletId();
}

class MockBalanceService implements BalanceService {
  @override
  Future<double> getBalance() async {
    return 3000000.56;
  }

  @override
  Future<String> getWalletName() async {
    return "Wallet";
  }

  @override
  Future<String> getWalletId() async {
    return "WA-12345667";
  }
}
